package com.emr.dao.emrPrintAndDownLoad;

import com.emr.entity.emrPrintAndDownLoad.EmrPrintDownloadInfo;
import com.emr.vo.EmrPrintOrDownLoadInfo.EmrPrintOrDownLoadInfoVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface EmrPrintDownloadInfoMapper {
    int insert(EmrPrintDownloadInfo record);

    int insertSelective(EmrPrintDownloadInfo record);

    int SimpleInsert(List<EmrPrintDownloadInfo> list);

    List<EmrPrintOrDownLoadInfoVo> selectAll(@Param("record") EmrPrintOrDownLoadInfoVo record,
                                             @Param("flag")String flag);

    List<EmrPrintOrDownLoadInfoVo> selectAllByIds(@Param("ids")String ids,@Param("flag")String flag);

    List<EmrPrintOrDownLoadInfoVo> getPrintCount(@Param("patientId")String patientId);

}